//
#include "billboard.h"
#include "hardware.h"

//------------------------------------------------------------------------
//------------------------------------------------------------------------
//------------------------------------------------------------------------

Billboard::Billboard(){
	sizex=1; 
	sizey=sizex;
	tx0=0;
	ty0=0;
	tx1=1;
	ty1=1;
};
Billboard::~Billboard(){};

//----------------------------------------------------------------------------

void Billboard::draw(float size){
	glPushMatrix();
		//glTranslatef(0,sizey,0);
		glRotatef(Hw::get()->screen.viewport->camera.place.orient.y,0,1,0);
		glRotatef(Hw::get()->screen.viewport->camera.place.orient.x,1,0,0);
		glNormal3f(0,0,1);
		glBegin(GL_QUADS);
			glTexCoord2f(tx0,ty0); glVertex2f(-sizex,-sizey);
			glTexCoord2f(tx1,ty0); glVertex2f( sizex,-sizey);
			glTexCoord2f(tx1,ty1); glVertex2f( sizex, sizey);
			glTexCoord2f(tx0,ty1); glVertex2f(-sizex, sizey);
			glEnd();
		glPopMatrix();
	Hw::get()->ntris+=2;
}

//----------------------------------------------------------------------------

int Billboard::collide(Place *place, Physics *physicson){return 0;};

//----------------------------------------------------------------------------

void Billboard::init(void){};

//----------------------------------------------------------------------------
//----------------------------------------------------------------------------
//----------------------------------------------------------------------------


