#if !defined geom_h
#define      geom_h

#include "main.h"
#include "vector.h"

//---------------------------------------------------------

class Geom{
public:		Geom();
	virtual ~Geom();

	float texmagx,texmagy, texbasex,texbasey;
	int normals,q;
	Vector normal;

	void cylinder(float widthx0, float widthy0, float widthx1, float widthy1,
		float length, float texy, float texlen,
		int nstacks, int nslices, int slice0=0, int slice1=-1);
	void disk(float widthx, float widthy, int nrings, int nslices, int slice0=0, int slice1=-1);
	void pill(float widthx, float widthy, float height, int nrings, int nslices, int flag);
	void slab(float sizex, float sizey, float sizez, int nx, int ny, int nz);
};

//---------------------------------------------------------------------------------

float xy2q(float x, float y);

#endif
