#if !defined hardware_h
#define      hardware_h

//#include "main.h"

#include "key.h"
#include "mouse.h"
#include "pref.h"
#include "screen.h"
#include "sound.h"
#include "text.h"
#include "time.h"

//---------------------------------------------------------

class Hw{
public:
	Key key;
	Mouse mouse;
	Pref pref;
	Screen screen;
	Sound sound;
	Time time;
	Text *ann;

	static Hw* get();
	int dialogs, help, ntris, pause, skipSplash, timern;
	float ex, worldSize, meter, shutdownduration;
	char title[40];
	int hasMultitexture, useMultitexture, do2ndlayer, nTextureUnits, useTextureUnits;
	int separate_specular_color, anyinput;

protected:
	Hw();

private:
	static Hw* hw;
};

//---------------------------------------------------------

#endif


