#if !defined lightning_h
#define      lightning_h

#include "texture.h"
#include "particle.h"
#include "sound.h"
#include "hardware.h"

//----------------------------------------------------------------------------------

class Lightning{
public:		 Lightning();
	virtual ~Lightning();

	float xs[20],ys[20],zs[20];
	float lastFlashTime, nextFlashTime, flashDuration, flashInterval;
	float nextSound, distance, width;
	float x,y,z,xi,yi,zi, bottom, top, crag;
	float ballsize,ballr0,ballg0,ballb0, ballr1,ballg1,ballb1, ballDuration;
	int play, flashOn,n;

	FSOUND_SAMPLE *thunderS;
	Texture *arcT,*sphereT;

	void init(void);
	void deinit(void);
	void draw(void);
	void update(void);
	void new_strike(void);
	void billboard(float sizex, float sizey);
};

//---------------------------------------------------------------------------------------

#endif

