#if !defined torus_h
#define      torus_h

#include "vis.h"
#include "place.h"
#include "disp.h"
#include "main.h"

//---------------------------------------------------------

class Torus:public BaseObject{
public:     Torus();
	virtual ~Torus();

	int tessx,tessy, mindisttess, maxdisttess;
	float tessdist,tessdistmin,tessdistmax;
	float size, thickness;
	float innerclip, outerpoint, outermag;
	float texmagx,texmagy;

	Place place;
	Vis vis;

	void draw(float size);
	int  collide(Place *place, Physics *physicson);
	void set(void);
	void unset(void);
	void init(void);
	void solid_torus(int tes, float size, float thick);
};

//---------------------------------------------------------------------------------


#endif

