#if !defined viewport_h
#define      viewport_h

#include "camera.h"

//--------------------------------------------------------

class Camera;

class Viewport{
public: Viewport();
	virtual ~Viewport();

	float left,  right,  bottom,  top, viewportAspect, useAspect;
	int  ileft, iright, ibottom, itop, iwidth, iheight;

	Camera camera;

	void frame(void);
	void reset(void);
	void set_viewport(void);
	void set_view_pct(float l, float r, float b, float t);
	void size_viewport(int width, int height, int bottom);
};

//--------------------------------------------------------

#endif

