#if !defined camera_h
#define      camera_h

#include "vector.h"
#include "place.h"

//--------------------------------------------------------

class Place;
class Vector;

class Camera{
public: Camera();
	virtual ~Camera();

	float fov, eyex,eyey,eyez;
	float  forwardx, forwardy, forwardz,  rightx, righty, rightz,  upx, upy, upz, model[16];
	float iforwardx,iforwardy,iforwardz, irightx,irighty,irightz, iupx,iupy,iupz;
	float translatex,translatey,translatez;
	Vector lastmanpos, lastmanorient;
	Place place;

	void get_matrix(void);
	void orient(void);
	void reset(void);
	void matmult(float *inx, float *iny, float *inz);
	float cull(float inx, float iny, float inz, float size);
	void billboard(float sizex, float sizey);
};

//--------------------------------------------------------

#endif

