#if !defined histogram_h
#define      histogram_h

#include "main.h"
//#include <string.h>

//--------------------------------------------------------------------------------

#define MAXBINS 100

class Histogram{
public:		Histogram();
	virtual ~Histogram();

	int nbins, nentries;
	float startbin, endbin, binrange, binsize, binoffset;
	int bins[MAXBINS];

	void insert(float value);
	void draw(void);
	void init(void);
	void clear_bins(void);
	int value2index(float value);
};

//--------------------------------------------------------------------------------

#endif