#if !defined main_h
#define      main_h

#define WIN32_LEAN_AND_MEAN
#include <windows.h>
#include "glut.h"
#include "glext.h"
#include <stdlib.h>
#include <stdio.h>
#include <math.h>
#include <iostream.h>
#include <fstream.h>
#include <mmsystem.h>

#include "utility.h"

#define maxn 13
#define maximage 0
#define maxoption 7
#define mintess 8
#define maxtess 50
#define maxuniverse 1

#define  pi1 3.141592654f
#define  pi2 6.283185307f
#define  rc  0.017453292f
#define  pih 1.570796327f


void bail(char*);
void init(void);
void key(void);

void init_this(void);
void close_this(void);
void reset_this(void);
void start_this(void);
void end_this(void);
void draw_this(void);
void annot_this(void);
void key_this(void);
void splash_this(void);

void start_frame(void);
void end_frame(void);

void glut_init(int argc, char** argv);  // callbacks
void glut_shutdown(void);

void display(void);
void idle(void);
void init(void);
void keyboard(unsigned char inkey, int x, int y);
void motion(int glutx, int gluty);
void mouseCB(int button, int state, int glutx, int gluty);
void reshape(int inw, int inh);
void specialdown(int inkey, int x, int y);
void specialup(int inkey, int x, int y);
void shutdown(void);
void timer(int value);

void dialog_init(int ID, int mode);
void dialog_do(void);

void after_swap(void);

//----------------------------------------------------------------------

#endif



