#if !defined pref_h
#define      pref_h

#include "main.h"

//-------------------------------------------------------

class Text;

class Pref{
public:		Pref();
	virtual ~Pref();

	int blank, clock, fog, fullscreen, scrollInfo, lights, textures, user; // switches
	int colorMode, tess, windowWidth, windowHeight, wireframe,universe, useSoundDriver; // adj
	int m, n, option, viewportset;
	int nstars, movemode, toggle[20], demosequence, randseed;
	float arrowx,arrowy, brace, bracket, letterbox, spd1,spd2, mouseSens, moveSens;
	float a1,a2, b1,b2, c1,c2, page,home,paren;
	float lastsoundtime, doubleClickInterval;
	float	annotateDuration, scrollSpeed, minSoundInterval,maxSoundInterval, scrollInterval;
	float stepVolume,stepPan, spurt,gruntMPS, gravityScaler, dragScaler, value[20];
	float ambientvolume, songvolume, tessf, sceneduration;

	float alphafunc, r,g,b,a; // edit vis
	int   blendFunc0,blendFunc1, seltexlayer;

	float texmagx,texmagy,texoffx,texoffy;
	int   texBlendFunc0,texBlendFunc1, image; // edit tex

	float mat_r,mat_g,mat_b, ambient,diffuse,specular,reflective, exponent, cutoff; // edit mat
	int   shininess;

	void reset(void);
	int load(const char* title);
	int save(const char* title);
	void set(const char *title);

};

//-------------------------------------------------------

#endif